This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 820273 - katello-upgrade fails with No such file or directory.
katello-upgrade fails with No such file or directory.
Status: CLOSED CURRENTRELEASE
Product: Subscription Asset Manager
Classification: Red Hat
Component: katello (Show other bugs)
1.0.0
Unspecified Unspecified
urgent Severity urgent
: beta
: 1.X
Assigned To: Tom McKay
SAM QE List
: Triaged
Depends On:
Blocks: sam11-tracker
  Show dependency treegraph
 
Reported: 2012-05-09 09:55 EDT by Eric Sammons
Modified: 2012-08-22 13:08 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-22 13:08:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Eric Sammons 2012-05-09 09:55:37 EDT
Description of problem:
Running katello-upgrade will result in a failure on sam-1.1.  The console will show upgrade failed while the log file will show etc/sysconfig/katello: No such file or directory

Version-Release number of selected component (if applicable):
katello-headpin-all-0.2.6-1.el6_2.noarch

How reproducible:


Steps to Reproduce:
1. Stop all thumbslug, tomcat, katello and katell-jobs services
2. yum update
3. katell-upgrade
  
Actual results:
FAILED

Expected results:
SUCCESSFUL
Comment 1 Tom McKay 2012-05-09 10:31:42 EDT
  Branch: refs/heads/master
  Home:   https://github.com/Katello/katello
  Commit: 4f93450e21dec2a9241f9514f0410cf93c7c6569
      https://github.com/Katello/katello/commit/4f93450e21dec2a9241f9514f0410cf93c7c6569
  Author: Tom McKay <thomasmckay@redhat.com>
  Date:   2012-05-09 (Wed, 09 May 2012)

One of the katello-upgrade scripts needed to include indicator whether it was running in katello or headpin install.
Comment 3 Tazim Kolhar 2012-05-14 04:11:39 EDT
VERIFIED with the build :

[root@dell-pe2900-02 katello]# rpm -qa | grep katello
katello-cli-headpin-0.2.0-1.el6_2.noarch
katello-glue-candlepin-0.3.1-1.el6_2.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-cli-common-0.3.2-3.el6_2.noarch
katello-selinux-0.2.4-1.el6_2.noarch
katello-headpin-0.2.6-4.el6_2.noarch
katello-certs-tools-1.1.5-1.el6_2.noarch
katello-configure-0.3.3-2.el6_2.noarch
katello-common-0.3.1-1.el6_2.noarch
katello-headpin-all-0.2.6-4.el6_2.noarch

1.) Stopped all the services (tomcat6,thumslug,katello,katello-jobs)
2.) yum update
3.) 
[root@dell-pe2900-02 katello]# katello-upgrade
================================================================================
 Katello upgrade
================================================================================

1/2: Migrate Katello database (0001_migrate_katello_db.sh)
 Updates Katello database schema to the latest version

Do you want to proceed? (y/n): y

Migrate Katello database OK.

================================================================================

2/2: Update Candlepin (0003_update_candlepin.sh)
 Updates Candlepin database schema to the latest version

Do you want to proceed? (y/n): y

Update Candlepin OK.

================================================================================
Upgrade successful
Finished 2 of 2 upgrade steps

katello-upgrade executed successfully.

Note You need to log in before you can comment on or make changes to this bug.